%global srcname sphinx-math-dollar

Name:           python-%{srcname}
Version:        1.2
Release:        %mkrel 1
Summary:        Sphinx extension to enable LaTeX math with $$
Group:          Development/Python

License:        MIT
URL:            https://www.sympy.org/%{srcname}/
Source0:        https://github.com/sympy/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-doctestplus
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-testing

%global _desc %{expand:
sphinx-math-dollar is a Sphinx extension to let you write LaTeX math
using $$.}

%description %_desc

%package     -n python3-%{srcname}
Summary:        Sphinx extension to enable LaTeX math with $$

%description -n python3-%{srcname} %_desc

%package        doc
Summary:        Documentation for %{srcname}

%description    doc
Documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

# Build the documentation
make -C docs html
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html
rst2html --no-datestamp README.rst README.html
rm -f docs/_build/html/.{buildinfo,nojekyll}

%install
%py3_install

%check
pytest

%files       -n python3-%{srcname}
%doc CHANGELOG.html README.html
%license LICENSE
%{python3_sitelib}/sphinx_math_dollar*

%files          doc
%doc docs/_build/html
%license LICENSE


%changelog
* Sun May 02 2021 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1720848
- imported python-sphinx-math-dollar also for Mageia 8

* Sun Apr 04 2021 joequant <joequant> 1.2-1.mga9
+ Revision: 1713278
- fix build requires
- imported package python-sphinx-math-dollar

